[modules]

cmt.base_tasks


[logging]

law: INFO
gfal2: WARNING


[job]

job_file_dir: $CMT_JOB_DIR
job_file_dir_cleanup: False

[wlcg_fs]

base: root://eosuser.cern.ch/$CMT_STORE_EOS

[wlcg_xrootd]

base: root://cms-xrd-global.cern.ch//

[wlcg_fs_shards]

base: root://eosuser.cern.ch/$CMT_STORE_EOS_SHARDS


[wlcg_fs_categorization]

base: root://eosuser.cern.ch/$CMT_STORE_EOS_CATEGORIZATION


[notifications]

mail_recipient: None
telegram_token: $CMT_TELEGRAM_TOKEN
telegram_chat: $CMT_TELEGRAM_CHAT


[luigi_core]

local-scheduler: $CMT_LOCAL_SCHEDULER
default-scheduler-host: localhost 
default-scheduler-port: 8082
parallel-scheduling: False
no_lock: True
log_level: INFO


[luigi_scheduler]

record_task_history: False
remove-delay: 86400
retry-delay: 30
worker-disconnect-delay: 30


[luigi_worker]

ping_interval: 20
wait_interval: 20
check_unfulfilled_deps: False
keep_alive: $CMT_LUIGI_WORKER_KEEP_ALIVE
force_multiprocessing: False
